Skip to content

Update project features ​

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/features/

Update the features of a project.

Path parameters ​

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

epics:optionalboolean

Whether epics are enabled for the project.

modules:optionalboolean

Whether modules are enabled for the project.

cycles:optionalboolean

Whether cycles are enabled for the project.

views:optionalboolean

Whether views are enabled for the project.

pages:optionalboolean

Whether pages are enabled for the project.

intakes:optionalboolean

Whether intake is enabled for the project.

work_item_types:optionalboolean

Whether work item types are enabled for the project.

Scopes ​

projects.features:write

Update project features
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/features/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "epics": true,
  "modules": true,
  "cycles": true,
  "views": true,
  "pages": true,
  "intakes": true,
  "work_item_types": true
}'
Response200
json
{
  "epics": true,
  "modules": true,
  "cycles": true,
  "views": true,
  "pages": true,
  "intakes": true,
  "work_item_types": true
}